View Issue Details

IDProjectCategoryView StatusLast Update
0006700mantisbtfilterspublic2014-12-08 00:34
ReportermlovellAssigned Todaryn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0006700: Inconsistent behavior on filter select box
Description

With JavaScript enabled, the saved filter selection box has an inconsistent behavior. [Reset Filter] is the first item listed, meaning that selecting it does not represent a change for that field. Selecting any saved filter results in that choice automatically being submitted, except for [Reset Filter]. To actually reset the filtering, one must click on the Use Filter button.

Just swapping the order of the blank element and the [Reset Filter] entry would serve to make the new selection visible to JavaScript.

However, one may also want to consider the note raised by Issue 0006491.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

daryn

daryn

2010-05-10 23:50

reporter   ~0025457

dropdown now displays current filter so reset is only displayed when no stored filter is active.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036488

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 971d134f

2010-05-11 03:39:52

daryn

Details Diff
Fix 0006491, Fix 0006700. Display current filter in the stored query dropdown.
Add jquery library, add noConflict call to allow jquery to coexist with
projax. Add bugFilter.js to highlight changes to a stored filter.
mod - css/default.css Diff File
add - javascript/dev/bugFilter.js Diff File
mod - core/html_api.php Diff File
add - javascript/min/bugFilter.js Diff File
add - javascript/min/jquery-min.js Diff File
mod - core/filter_api.php Diff File
mod - view_all_bug_page.php Diff File
mod - view_all_set.php Diff File
add - javascript/dev/jquery-1.4.2.js Diff File

Issue History

Date Modified Username Field Change
2006-02-10 13:20 mlovell New Issue
2008-08-07 11:54 daryn Assigned To => daryn
2008-08-07 11:54 daryn Status new => acknowledged
2010-05-10 23:43 daryn Changeset attached => MantisBT master 971d134f
2010-05-10 23:43 daryn Resolution open => fixed
2010-05-10 23:43 daryn Fixed in Version => 1.3.0-beta.1
2010-05-10 23:50 daryn Note Added: 0025457
2010-05-10 23:50 daryn Status acknowledged => resolved
2010-09-19 03:12 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036488
2013-04-05 18:05 grangeway Relationship added related to 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:41 atrol Target Version => 1.3.0-beta.1
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed